plugins {
    id 'com.android.application'
    id 'org.jetbrains.kotlin.android'
}
apply plugin: 'kotlin-android-extensions'
apply plugin: 'kotlin-kapt'
apply plugin: 'com.huawei.agconnect'

kapt {
    arguments {
        arg("AROUTER_MODULE_NAME", project.getName())
        // 是否生成路由文档，"enable"：生成文档，其他字符串不生成路由文档
        arg("AROUTER_GENERATE_DOC", "enable")
    }
}
android {
    compileSdkVersion 30

    defaultConfig {
        applicationId "com.cooleshow.teacher"
        minSdkVersion 21
        targetSdkVersion 30
        versionCode 140
        versionName "1.4.0"
        ndk {
            abiFilters "armeabi-v7a", "arm64-v8a"
        }
        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
        manifestPlaceholders = [
                qqappid: "1110018403",
                JPUSH_PKGNAME: applicationId,
                JPUSH_APPKEY : "ea33d0a0a84d3b7b6dd70381", //JPush 上注册的包名对应的 Appkey.
                JPUSH_CHANNEL: "developer-default", //暂时填写默认值即可.
                XIAOMI_APPID : "MI-2882303761520172302",
                XIAOMI_APPKEY : "MI-5102017284302",
                OPPO_APPKEY : "OP-e2e0eff48d6145c0b9f87cd6a57636ad",
                OPPO_APPID : "OP-30841115",
                OPPO_APPSECRET : "OP-519726bf2dfc4a6c95a6e00d61e47f10",
                VIVO_APPKEY : "3154931db9dbf361b67dbd4bce2c8d30",
                VIVO_APPID : "105573870",
        ]
    }

    signingConfigs {
        release {
            v1SigningEnabled true
            v2SigningEnabled true
            storeFile file("../cooleshow.jks")
            //签名文件
            storePassword "cooleshow"
            keyAlias "cooleshow"
            keyPassword "cooleshow"  //签名密码
        }
    }

    buildTypes {
        release {
            minifyEnabled false
            signingConfig signingConfigs.release
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
            buildConfigField "String", "BASE_H5_URL", RELEASE_BASE_URL_H5
        }

        debug {
            minifyEnabled false
            signingConfig signingConfigs.release
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
            buildConfigField "String", "BASE_H5_URL", TEST_BASE_URL_H5
        }

        preRelease{
            debuggable true
            minifyEnabled false
            signingConfig signingConfigs.release
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
            buildConfigField "String", "BASE_H5_URL", DEV_BASE_URL_H5
        }
    }

    sourceSets {
        main {
            jniLibs.srcDirs = ['libs']
        }
    }

    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
    packagingOptions {
        exclude 'META-INF/library_release.kotlin_module'
    }
    kotlinOptions {
        jvmTarget = '1.8'
    }
    buildFeatures {
        viewBinding = true
    }


    repositories {
        flatDir {
            dirs 'libs'
        }

    }
}

dependencies {
    api fileTree(dir: 'libs', include: ['*.jar'])
    implementation 'androidx.core:core-ktx:1.6.0'
    implementation 'androidx.appcompat:appcompat:1.3.0'
    implementation 'com.google.android.material:material:1.4.0'
    implementation 'androidx.constraintlayout:constraintlayout:2.0.4'
    testImplementation 'junit:junit:4.13.2'
    androidTestImplementation 'androidx.test.ext:junit:1.1.3'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.4.0'


    implementation project(path: ':BaseLibrary')
    api project(path: ':usercenter')
    implementation project(path: ':rong_im:kit')
    implementation project(path: ':rong_im:live')
    implementation project(path: ':rong_im:common_im_ui')
    implementation project(path: ':live_teaching')
    implementation "com.alibaba:arouter-api:$rootProject.ext.android.arouter_api_version"
    kapt "com.alibaba:arouter-compiler:$rootProject.ext.android.arouter_api_version"
    //融云美颜库 //cn.rongcloud.sdk:rtc_lib:5.2.1
    implementation('cn.rongcloud.sdk:face_beautifier:5.2.4') {
        exclude(group: 'cn.rongcloud.sdk', module: 'rtc_lib')
    }

//    api(name: 'openDefault-10.10.0', ext: 'aar')
//    极光推送start
    implementation 'cn.jiguang.sdk:jpush:4.7.2'  // 此处以JPush 4.7.0 版本为例。
    implementation 'cn.jiguang.sdk:jcore:3.2.4'  // 此处以JCore 3.2.4 版本为例。
    //若不集成厂商通道，可直接跳过以下依赖
    // 接入华为厂商
    implementation 'com.huawei.hms:push:6.3.0.304'
    // 极光厂商插件版本与接入 JPush 版本保持一致，下同
    implementation 'cn.jiguang.sdk.plugin:huawei:4.7.2'
    // 接入 VIVO 厂商
    implementation 'cn.jiguang.sdk.plugin:vivo:4.7.2'
    // 接入小米厂商
    implementation 'cn.jiguang.sdk.plugin:xiaomi:4.7.2'
    // 接入 OPPO 厂商
    implementation 'cn.jiguang.sdk.plugin:oppo:4.7.2'
    // JPush Android SDK v4.6.0 开始，需要单独引入 oppo 厂商 aar ，请下载官网 SDK 包并把 jpush-android-xxx-release/third-push/oppo/libs 下的 com.heytap.msp-push-x.x.x.aar 文件单独拷贝一份到应用 module/libs 下
    implementation(name: 'com.heytap.msp-push-3.0.0', ext: 'aar')
    implementation 'commons-codec:commons-codec:1.6'
//    极光推送end
}